Alerts
Sample URLs
List only alerts that are either in state
PENDINGorACCEPTED: https://api.ilert.com/api/alerts?states=PENDING&states=ACCEPTEDList only alerts that belong to the alert source with ID
1243or1743and where userjdis a responder: https://api.ilert.com/api/alerts?sources=1243&sources=1743&responders=jdPaginate first batch for a range of alerts (note: query parameters should be url encoded): https://api.ilert.com/api/alerts?start-index=0&max-results=100&from=2021-03-01T21:24:56.771Z&until=2021-04-01T21:24:56.771Z
Fetch next page, assuming equal to max-results were returned: https://api.ilert.com/api/alerts?start-index=100&max-results=100&from=2021-03-01T21:24:56.771Z&until=2021-04-01T21:24:56.771Z
Pagination should be done based on the
reportTimefield using the parametersfromanduntilas well asstart-index. When building a local alert state store theidfield should be used as identifier. ThealertKeyfield is not suitable for this, as it is used to group related alerts to each other.
The Bearer API key of your user more info.
an integer specifying the starting point (beginning with 0) when paging through a list of entities
0the maximum number of results when paging through a list of entities.
50alert source IDs of the alert's alert source
escalation policy IDs of the alert's escalation policy
user ids of the user that is a responder of the alert
from date, ISO-UTC e.g. 2021-05-25T21:24:56.771Z, based on reportTime
until date, ISO-UTC e.g. 2021-05-26T21:24:56.771Z, based on reportTime
ids of the affected services
severity of the alert, in range 1..5
Filter by labels using a condition expression. Supports the operators ==, !=, in and not_in, combined with and (up to 20 conditions). Values must be url-encoded. An invalid expression returns 400. Examples: environment == 'production', region in ["us-east", "us-west"], environment == 'production' and severity != 'low'.
OK
Optional severity in range 1..5.
Id of the incident this alert is linked to, if any.
Id of the alert this alert has been merged into, if any.
The merge state of the alert.
GET /api/alerts HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
{
"id": 1,
"summary": "text",
"details": "text",
"reportTime": "2026-01-01T00:00:00.000Z",
"resolvedOn": "2026-01-01T00:00:00.000Z",
"status": "PENDING",
"alertSource": {
"id": 1,
"teams": [
{
"id": 1,
"name": "text"
}
],
"name": "text",
"iconUrl": "text",
"lightIconUrl": "text",
"darkIconUrl": "text",
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"integrationType": "NAGIOS",
"integrationKey": "text",
"integrationUrl": "text",
"autoResolutionTimeout": "text",
"alertGroupingWindow": "text",
"alertCreation": "ONE_OPEN_ALERT_ALLOWED",
"status": "PENDING",
"active": true,
"alertPriorityRule": "HIGH",
"supportHours": {
"id": 1,
"name": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"timezone": "Europe/Berlin",
"supportDays": {
"MONDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"TUESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"WEDNESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"THURSDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"FRIDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SATURDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SUNDAY": {
"start": "00:00:00",
"end": "00:00:00"
}
},
"exceptions": [
{
"name": "text",
"start": "2026-01-01",
"end": "2026-01-01",
"supportStatus": "DURING"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"currentStatus": "DURING"
},
"bidirectional": true,
"summaryTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"detailsTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"routingTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"linkTemplates": [
{
"text": "text",
"hrefTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
}
],
"priorityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"priority": "LOW"
}
]
},
"severityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"severity": 1
}
]
},
"eventFilter": "text",
"alertKeyTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"servicesTemplate": [
{
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
],
"eventTypeFilterCreate": "text",
"eventTypeFilterAccept": "text",
"eventTypeFilterResolve": "text",
"autoRaiseAlerts": true,
"scoreThreshold": 1,
"severity": 1,
"services": [
{
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"subscribed": true,
"uptime": {
"rangeStart": "2026-01-01T00:00:00.000Z",
"rangeEnd": "2026-01-01T00:00:00.000Z",
"outages": [
{
"status": "OPERATIONAL",
"from": "2026-01-01T00:00:00.000Z",
"until": "2026-01-01T00:00:00.000Z"
}
],
"uptimePercentage": {
"uptimePercentage": {
"p90": 1,
"p60": 1,
"p30": 1
}
}
},
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
},
"dependencies": [
{
"id": 1,
"sourceServiceId": 1,
"targetServiceId": 1,
"notes": "text",
"invalidAfter": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": {
"type": "API",
"source": "text"
},
"managedBy": {
"type": "API",
"source": "text"
}
}
]
}
],
"setupStatus": "CREATED",
"autoCreateServices": false,
"createdAt": "text",
"updatedAt": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"priority": "HIGH",
"alertKey": "text",
"assignedTo": {
"id": 1
},
"nextEscalation": "2026-01-01T00:00:00.000Z",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"nextEscalationUser": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"nextEscalationRuleIndex": 1,
"images": [
{
"src": "text",
"href": "text",
"alt": "text"
}
],
"links": [
{
"href": "text",
"text": "text"
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text"
},
"status": "PENDING",
"acceptedAt": "2026-01-01T00:00:00.000Z"
}
],
"severity": 1,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"customDetails": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"linkedIncidentId": 1,
"mergedIntoId": 1,
"mergeState": "NONE"
}
]Create alerts with customised parameters without requiring events from monitoring tools that use our Events API.
ATTENTION: do not use this endpoint to create monitoring related (or high volumes of) alerts, use '/api/events' instead, you have been warned! Escalation of the alert will be based on the alert source's escalation policy or may be overridden by providing a specific escalation policy or lastly specific set of responders (users), latter will only notify the user(s) and will not escalate any further.
The Bearer API key of your user more info.
the created and freshly escalated alert
Optional severity in range 1..5.
Id of the incident this alert is linked to, if any.
Id of the alert this alert has been merged into, if any.
The merge state of the alert.
POST /api/alerts HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 289
{
"summary": "text",
"details": "text",
"alertSource": {
"id": 1
},
"escalationPolicy": {
"id": 1
},
"priority": "HIGH",
"assignedTo": {
"id": 1
},
"images": [
{
"src": "text",
"href": "text",
"alt": "text"
}
],
"links": [
{
"href": "text",
"text": "text"
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text"
}
}
]
}the created and freshly escalated alert
{
"id": 1,
"summary": "text",
"details": "text",
"reportTime": "2026-01-01T00:00:00.000Z",
"resolvedOn": "2026-01-01T00:00:00.000Z",
"status": "PENDING",
"alertSource": {
"id": 1,
"teams": [
{
"id": 1,
"name": "text"
}
],
"name": "text",
"iconUrl": "text",
"lightIconUrl": "text",
"darkIconUrl": "text",
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"integrationType": "NAGIOS",
"integrationKey": "text",
"integrationUrl": "text",
"autoResolutionTimeout": "text",
"alertGroupingWindow": "text",
"alertCreation": "ONE_OPEN_ALERT_ALLOWED",
"status": "PENDING",
"active": true,
"alertPriorityRule": "HIGH",
"supportHours": {
"id": 1,
"name": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"timezone": "Europe/Berlin",
"supportDays": {
"MONDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"TUESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"WEDNESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"THURSDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"FRIDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SATURDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SUNDAY": {
"start": "00:00:00",
"end": "00:00:00"
}
},
"exceptions": [
{
"name": "text",
"start": "2026-01-01",
"end": "2026-01-01",
"supportStatus": "DURING"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"currentStatus": "DURING"
},
"bidirectional": true,
"summaryTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"detailsTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"routingTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"linkTemplates": [
{
"text": "text",
"hrefTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
}
],
"priorityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"priority": "LOW"
}
]
},
"severityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"severity": 1
}
]
},
"eventFilter": "text",
"alertKeyTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"servicesTemplate": [
{
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
],
"eventTypeFilterCreate": "text",
"eventTypeFilterAccept": "text",
"eventTypeFilterResolve": "text",
"autoRaiseAlerts": true,
"scoreThreshold": 1,
"severity": 1,
"services": [
{
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"subscribed": true,
"uptime": {
"rangeStart": "2026-01-01T00:00:00.000Z",
"rangeEnd": "2026-01-01T00:00:00.000Z",
"outages": [
{
"status": "OPERATIONAL",
"from": "2026-01-01T00:00:00.000Z",
"until": "2026-01-01T00:00:00.000Z"
}
],
"uptimePercentage": {
"uptimePercentage": {
"p90": 1,
"p60": 1,
"p30": 1
}
}
},
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
},
"dependencies": [
{
"id": 1,
"sourceServiceId": 1,
"targetServiceId": 1,
"notes": "text",
"invalidAfter": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": {
"type": "API",
"source": "text"
},
"managedBy": {
"type": "API",
"source": "text"
}
}
]
}
],
"setupStatus": "CREATED",
"autoCreateServices": false,
"createdAt": "text",
"updatedAt": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"priority": "HIGH",
"alertKey": "text",
"assignedTo": {
"id": 1
},
"nextEscalation": "2026-01-01T00:00:00.000Z",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"nextEscalationUser": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"nextEscalationRuleIndex": 1,
"images": [
{
"src": "text",
"href": "text",
"alt": "text"
}
],
"links": [
{
"href": "text",
"text": "text"
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text"
},
"status": "PENDING",
"acceptedAt": "2026-01-01T00:00:00.000Z"
}
],
"severity": 1,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"customDetails": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"linkedIncidentId": 1,
"mergedIntoId": 1,
"mergeState": "NONE"
}Fixed page size of 100. start-index must be 0 or a multiple of 100 and max-results must be 100; any other value returns 400.
The Bearer API key of your user more info.
Filter the returned label keys by prefix.
must be 0 or a multiple of 100
0must be 100
100the list of distinct label keys
GET /api/alerts/labels HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
the list of distinct label keys
[
{
"key": "text"
}
]Fixed page size of 100. start-index must be 0 or a multiple of 100 and max-results must be 100; any other value returns 400.
The Bearer API key of your user more info.
the label key
Filter the returned label values by prefix.
must be 0 or a multiple of 100
0must be 100
100the list of distinct label values
GET /api/alerts/labels/{key}/values HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
the list of distinct label values
[
{
"value": "text"
}
]Accepts the same filters as the alert list operation and returns the number of matching alerts.
The Bearer API key of your user more info.
alert source IDs of the alert's alert source
escalation policy IDs of the alert's escalation policy
user ids of the user that is a responder of the alert
from date, ISO-UTC e.g. 2021-05-25T21:24:56.771Z, based on reportTime
until date, ISO-UTC e.g. 2021-05-26T21:24:56.771Z, based on reportTime
ids of the affected services
severity of the alert, in range 1..5
Filter by labels using a condition expression. Supports the operators ==, !=, in and not_in, combined with and (up to 20 conditions). Values must be url-encoded. An invalid expression returns 400. Examples: environment == 'production', region in ["us-east", "us-west"], environment == 'production' and severity != 'low'.
the number of matching alerts
GET /api/alerts/count HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
the number of matching alerts
{
"count": 1
}The Bearer API key of your user more info.
entity ID
alert object
Optional severity in range 1..5.
Id of the incident this alert is linked to, if any.
Id of the alert this alert has been merged into, if any.
The merge state of the alert.
GET /api/alerts/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
alert object
{
"id": 1,
"summary": "text",
"details": "text",
"reportTime": "2026-01-01T00:00:00.000Z",
"resolvedOn": "2026-01-01T00:00:00.000Z",
"status": "PENDING",
"alertSource": {
"id": 1,
"teams": [
{
"id": 1,
"name": "text"
}
],
"name": "text",
"iconUrl": "text",
"lightIconUrl": "text",
"darkIconUrl": "text",
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"integrationType": "NAGIOS",
"integrationKey": "text",
"integrationUrl": "text",
"autoResolutionTimeout": "text",
"alertGroupingWindow": "text",
"alertCreation": "ONE_OPEN_ALERT_ALLOWED",
"status": "PENDING",
"active": true,
"alertPriorityRule": "HIGH",
"supportHours": {
"id": 1,
"name": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"timezone": "Europe/Berlin",
"supportDays": {
"MONDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"TUESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"WEDNESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"THURSDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"FRIDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SATURDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SUNDAY": {
"start": "00:00:00",
"end": "00:00:00"
}
},
"exceptions": [
{
"name": "text",
"start": "2026-01-01",
"end": "2026-01-01",
"supportStatus": "DURING"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"currentStatus": "DURING"
},
"bidirectional": true,
"summaryTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"detailsTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"routingTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"linkTemplates": [
{
"text": "text",
"hrefTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
}
],
"priorityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"priority": "LOW"
}
]
},
"severityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"severity": 1
}
]
},
"eventFilter": "text",
"alertKeyTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"servicesTemplate": [
{
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
],
"eventTypeFilterCreate": "text",
"eventTypeFilterAccept": "text",
"eventTypeFilterResolve": "text",
"autoRaiseAlerts": true,
"scoreThreshold": 1,
"severity": 1,
"services": [
{
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"subscribed": true,
"uptime": {
"rangeStart": "2026-01-01T00:00:00.000Z",
"rangeEnd": "2026-01-01T00:00:00.000Z",
"outages": [
{
"status": "OPERATIONAL",
"from": "2026-01-01T00:00:00.000Z",
"until": "2026-01-01T00:00:00.000Z"
}
],
"uptimePercentage": {
"uptimePercentage": {
"p90": 1,
"p60": 1,
"p30": 1
}
}
},
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
},
"dependencies": [
{
"id": 1,
"sourceServiceId": 1,
"targetServiceId": 1,
"notes": "text",
"invalidAfter": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": {
"type": "API",
"source": "text"
},
"managedBy": {
"type": "API",
"source": "text"
}
}
]
}
],
"setupStatus": "CREATED",
"autoCreateServices": false,
"createdAt": "text",
"updatedAt": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"priority": "HIGH",
"alertKey": "text",
"assignedTo": {
"id": 1
},
"nextEscalation": "2026-01-01T00:00:00.000Z",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"nextEscalationUser": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"nextEscalationRuleIndex": 1,
"images": [
{
"src": "text",
"href": "text",
"alt": "text"
}
],
"links": [
{
"href": "text",
"text": "text"
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text"
},
"status": "PENDING",
"acceptedAt": "2026-01-01T00:00:00.000Z"
}
],
"severity": 1,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"customDetails": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"linkedIncidentId": 1,
"mergedIntoId": 1,
"mergeState": "NONE"
}The Bearer API key of your user more info.
entity ID
locale for response text eg. 'en' or 'de'
the list of alert responders
GET /api/alerts/{id}/suggested-responders HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
the list of alert responders
[
{
"group": "SUGGESTED",
"id": 1,
"name": "text",
"disabled": true
}
]The Bearer API key of your user more info.
entity ID
the created alert responder object
Responder did not exist
Responder is already present on the alert
POST /api/alerts/{id}/responders HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text"
},
"status": "PENDING",
"acceptedAt": "2026-01-01T00:00:00.000Z"
}The Bearer API key of your user more info.
entity ID
numeric user id
Responder has been removed
Responder did not exist
DELETE /api/alerts/{id}/responders/{user-id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No content
Either provide a user-id, policy-id (escalation policy) or schedule-id (on-call schedule) that the specific alert should be assigned to.
The Bearer API key of your user more info.
entity ID
numeric user id
numeric policy id
numeric schedule id
the updated alert object
Optional severity in range 1..5.
Id of the incident this alert is linked to, if any.
Id of the alert this alert has been merged into, if any.
The merge state of the alert.
PUT /api/alerts/{id}/assign HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
the updated alert object
{
"id": 1,
"summary": "text",
"details": "text",
"reportTime": "2026-01-01T00:00:00.000Z",
"resolvedOn": "2026-01-01T00:00:00.000Z",
"status": "PENDING",
"alertSource": {
"id": 1,
"teams": [
{
"id": 1,
"name": "text"
}
],
"name": "text",
"iconUrl": "text",
"lightIconUrl": "text",
"darkIconUrl": "text",
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"integrationType": "NAGIOS",
"integrationKey": "text",
"integrationUrl": "text",
"autoResolutionTimeout": "text",
"alertGroupingWindow": "text",
"alertCreation": "ONE_OPEN_ALERT_ALLOWED",
"status": "PENDING",
"active": true,
"alertPriorityRule": "HIGH",
"supportHours": {
"id": 1,
"name": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"timezone": "Europe/Berlin",
"supportDays": {
"MONDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"TUESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"WEDNESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"THURSDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"FRIDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SATURDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SUNDAY": {
"start": "00:00:00",
"end": "00:00:00"
}
},
"exceptions": [
{
"name": "text",
"start": "2026-01-01",
"end": "2026-01-01",
"supportStatus": "DURING"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"currentStatus": "DURING"
},
"bidirectional": true,
"summaryTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"detailsTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"routingTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"linkTemplates": [
{
"text": "text",
"hrefTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
}
],
"priorityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"priority": "LOW"
}
]
},
"severityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"severity": 1
}
]
},
"eventFilter": "text",
"alertKeyTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"servicesTemplate": [
{
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
],
"eventTypeFilterCreate": "text",
"eventTypeFilterAccept": "text",
"eventTypeFilterResolve": "text",
"autoRaiseAlerts": true,
"scoreThreshold": 1,
"severity": 1,
"services": [
{
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"subscribed": true,
"uptime": {
"rangeStart": "2026-01-01T00:00:00.000Z",
"rangeEnd": "2026-01-01T00:00:00.000Z",
"outages": [
{
"status": "OPERATIONAL",
"from": "2026-01-01T00:00:00.000Z",
"until": "2026-01-01T00:00:00.000Z"
}
],
"uptimePercentage": {
"uptimePercentage": {
"p90": 1,
"p60": 1,
"p30": 1
}
}
},
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
},
"dependencies": [
{
"id": 1,
"sourceServiceId": 1,
"targetServiceId": 1,
"notes": "text",
"invalidAfter": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": {
"type": "API",
"source": "text"
},
"managedBy": {
"type": "API",
"source": "text"
}
}
]
}
],
"setupStatus": "CREATED",
"autoCreateServices": false,
"createdAt": "text",
"updatedAt": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"priority": "HIGH",
"alertKey": "text",
"assignedTo": {
"id": 1
},
"nextEscalation": "2026-01-01T00:00:00.000Z",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"nextEscalationUser": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"nextEscalationRuleIndex": 1,
"images": [
{
"src": "text",
"href": "text",
"alt": "text"
}
],
"links": [
{
"href": "text",
"text": "text"
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text"
},
"status": "PENDING",
"acceptedAt": "2026-01-01T00:00:00.000Z"
}
],
"severity": 1,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"customDetails": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"linkedIncidentId": 1,
"mergedIntoId": 1,
"mergeState": "NONE"
}The Bearer API key of your user more info.
entity ID
the updated alert object
Optional severity in range 1..5.
Id of the incident this alert is linked to, if any.
Id of the alert this alert has been merged into, if any.
The merge state of the alert.
PUT /api/alerts/{id}/accept HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
the updated alert object
{
"id": 1,
"summary": "text",
"details": "text",
"reportTime": "2026-01-01T00:00:00.000Z",
"resolvedOn": "2026-01-01T00:00:00.000Z",
"status": "PENDING",
"alertSource": {
"id": 1,
"teams": [
{
"id": 1,
"name": "text"
}
],
"name": "text",
"iconUrl": "text",
"lightIconUrl": "text",
"darkIconUrl": "text",
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"integrationType": "NAGIOS",
"integrationKey": "text",
"integrationUrl": "text",
"autoResolutionTimeout": "text",
"alertGroupingWindow": "text",
"alertCreation": "ONE_OPEN_ALERT_ALLOWED",
"status": "PENDING",
"active": true,
"alertPriorityRule": "HIGH",
"supportHours": {
"id": 1,
"name": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"timezone": "Europe/Berlin",
"supportDays": {
"MONDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"TUESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"WEDNESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"THURSDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"FRIDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SATURDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SUNDAY": {
"start": "00:00:00",
"end": "00:00:00"
}
},
"exceptions": [
{
"name": "text",
"start": "2026-01-01",
"end": "2026-01-01",
"supportStatus": "DURING"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"currentStatus": "DURING"
},
"bidirectional": true,
"summaryTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"detailsTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"routingTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"linkTemplates": [
{
"text": "text",
"hrefTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
}
],
"priorityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"priority": "LOW"
}
]
},
"severityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"severity": 1
}
]
},
"eventFilter": "text",
"alertKeyTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"servicesTemplate": [
{
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
],
"eventTypeFilterCreate": "text",
"eventTypeFilterAccept": "text",
"eventTypeFilterResolve": "text",
"autoRaiseAlerts": true,
"scoreThreshold": 1,
"severity": 1,
"services": [
{
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"subscribed": true,
"uptime": {
"rangeStart": "2026-01-01T00:00:00.000Z",
"rangeEnd": "2026-01-01T00:00:00.000Z",
"outages": [
{
"status": "OPERATIONAL",
"from": "2026-01-01T00:00:00.000Z",
"until": "2026-01-01T00:00:00.000Z"
}
],
"uptimePercentage": {
"uptimePercentage": {
"p90": 1,
"p60": 1,
"p30": 1
}
}
},
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
},
"dependencies": [
{
"id": 1,
"sourceServiceId": 1,
"targetServiceId": 1,
"notes": "text",
"invalidAfter": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": {
"type": "API",
"source": "text"
},
"managedBy": {
"type": "API",
"source": "text"
}
}
]
}
],
"setupStatus": "CREATED",
"autoCreateServices": false,
"createdAt": "text",
"updatedAt": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"priority": "HIGH",
"alertKey": "text",
"assignedTo": {
"id": 1
},
"nextEscalation": "2026-01-01T00:00:00.000Z",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"nextEscalationUser": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"nextEscalationRuleIndex": 1,
"images": [
{
"src": "text",
"href": "text",
"alt": "text"
}
],
"links": [
{
"href": "text",
"text": "text"
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text"
},
"status": "PENDING",
"acceptedAt": "2026-01-01T00:00:00.000Z"
}
],
"severity": 1,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"customDetails": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"linkedIncidentId": 1,
"mergedIntoId": 1,
"mergeState": "NONE"
}The Bearer API key of your user more info.
entity ID
the updated alert object
Optional severity in range 1..5.
Id of the incident this alert is linked to, if any.
Id of the alert this alert has been merged into, if any.
The merge state of the alert.
PUT /api/alerts/{id}/resolve HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
the updated alert object
{
"id": 1,
"summary": "text",
"details": "text",
"reportTime": "2026-01-01T00:00:00.000Z",
"resolvedOn": "2026-01-01T00:00:00.000Z",
"status": "PENDING",
"alertSource": {
"id": 1,
"teams": [
{
"id": 1,
"name": "text"
}
],
"name": "text",
"iconUrl": "text",
"lightIconUrl": "text",
"darkIconUrl": "text",
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"integrationType": "NAGIOS",
"integrationKey": "text",
"integrationUrl": "text",
"autoResolutionTimeout": "text",
"alertGroupingWindow": "text",
"alertCreation": "ONE_OPEN_ALERT_ALLOWED",
"status": "PENDING",
"active": true,
"alertPriorityRule": "HIGH",
"supportHours": {
"id": 1,
"name": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"timezone": "Europe/Berlin",
"supportDays": {
"MONDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"TUESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"WEDNESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"THURSDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"FRIDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SATURDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SUNDAY": {
"start": "00:00:00",
"end": "00:00:00"
}
},
"exceptions": [
{
"name": "text",
"start": "2026-01-01",
"end": "2026-01-01",
"supportStatus": "DURING"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"currentStatus": "DURING"
},
"bidirectional": true,
"summaryTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"detailsTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"routingTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"linkTemplates": [
{
"text": "text",
"hrefTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
}
],
"priorityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"priority": "LOW"
}
]
},
"severityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"severity": 1
}
]
},
"eventFilter": "text",
"alertKeyTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"servicesTemplate": [
{
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
],
"eventTypeFilterCreate": "text",
"eventTypeFilterAccept": "text",
"eventTypeFilterResolve": "text",
"autoRaiseAlerts": true,
"scoreThreshold": 1,
"severity": 1,
"services": [
{
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"subscribed": true,
"uptime": {
"rangeStart": "2026-01-01T00:00:00.000Z",
"rangeEnd": "2026-01-01T00:00:00.000Z",
"outages": [
{
"status": "OPERATIONAL",
"from": "2026-01-01T00:00:00.000Z",
"until": "2026-01-01T00:00:00.000Z"
}
],
"uptimePercentage": {
"uptimePercentage": {
"p90": 1,
"p60": 1,
"p30": 1
}
}
},
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
},
"dependencies": [
{
"id": 1,
"sourceServiceId": 1,
"targetServiceId": 1,
"notes": "text",
"invalidAfter": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": {
"type": "API",
"source": "text"
},
"managedBy": {
"type": "API",
"source": "text"
}
}
]
}
],
"setupStatus": "CREATED",
"autoCreateServices": false,
"createdAt": "text",
"updatedAt": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"priority": "HIGH",
"alertKey": "text",
"assignedTo": {
"id": 1
},
"nextEscalation": "2026-01-01T00:00:00.000Z",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"nextEscalationUser": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"nextEscalationRuleIndex": 1,
"images": [
{
"src": "text",
"href": "text",
"alt": "text"
}
],
"links": [
{
"href": "text",
"text": "text"
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text"
},
"status": "PENDING",
"acceptedAt": "2026-01-01T00:00:00.000Z"
}
],
"severity": 1,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"customDetails": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"linkedIncidentId": 1,
"mergedIntoId": 1,
"mergeState": "NONE"
}Only PENDING alerts with priority LOW can be raised.
The Bearer API key of your user more info.
entity ID
empty response
the alert cannot be raised
PUT /api/alerts/{id}/raise HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No content
The Bearer API key of your user more info.
entity ID
zero-based escalation level
empty response
PUT /api/alerts/{id}/escalate-to-level HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 11
{
"level": 1
}empty response
No content
The Bearer API key of your user more info.
entity ID
empty response
PUT /api/alerts/{id}/change-summary HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 18
{
"summary": "text"
}empty response
No content
The Bearer API key of your user more info.
entity ID
an integer specifying the starting point (beginning with 0) when paging through a list of entities
0the maximum number of results when paging through a list of entities.
20a list of merged alerts
Optional severity in range 1..5.
Id of the incident this alert is linked to, if any.
Id of the alert this alert has been merged into, if any.
The merge state of the alert.
the alert has no merged alerts
GET /api/alerts/{id}/merged-children HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"summary": "text",
"details": "text",
"reportTime": "2026-01-01T00:00:00.000Z",
"resolvedOn": "2026-01-01T00:00:00.000Z",
"status": "PENDING",
"alertSource": {
"id": 1,
"teams": [
{
"id": 1,
"name": "text"
}
],
"name": "text",
"iconUrl": "text",
"lightIconUrl": "text",
"darkIconUrl": "text",
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"integrationType": "NAGIOS",
"integrationKey": "text",
"integrationUrl": "text",
"autoResolutionTimeout": "text",
"alertGroupingWindow": "text",
"alertCreation": "ONE_OPEN_ALERT_ALLOWED",
"status": "PENDING",
"active": true,
"alertPriorityRule": "HIGH",
"supportHours": {
"id": 1,
"name": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"timezone": "Europe/Berlin",
"supportDays": {
"MONDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"TUESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"WEDNESDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"THURSDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"FRIDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SATURDAY": {
"start": "00:00:00",
"end": "00:00:00"
},
"SUNDAY": {
"start": "00:00:00",
"end": "00:00:00"
}
},
"exceptions": [
{
"name": "text",
"start": "2026-01-01",
"end": "2026-01-01",
"supportStatus": "DURING"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"currentStatus": "DURING"
},
"bidirectional": true,
"summaryTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"detailsTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"routingTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"linkTemplates": [
{
"text": "text",
"hrefTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
}
],
"priorityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"priority": "LOW"
}
]
},
"severityTemplate": {
"valueTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"mappings": [
{
"value": "text",
"severity": 1
}
]
},
"eventFilter": "text",
"alertKeyTemplate": {
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
},
"servicesTemplate": [
{
"textTemplate": "text",
"elements": [
{
"type": "TEXT",
"val": "text",
"func": "text",
"args": [
{
"S": "text",
"N": 1
}
]
}
]
}
],
"eventTypeFilterCreate": "text",
"eventTypeFilterAccept": "text",
"eventTypeFilterResolve": "text",
"autoRaiseAlerts": true,
"scoreThreshold": 1,
"severity": 1,
"services": [
{
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"subscribed": true,
"uptime": {
"rangeStart": "2026-01-01T00:00:00.000Z",
"rangeEnd": "2026-01-01T00:00:00.000Z",
"outages": [
{
"status": "OPERATIONAL",
"from": "2026-01-01T00:00:00.000Z",
"until": "2026-01-01T00:00:00.000Z"
}
],
"uptimePercentage": {
"uptimePercentage": {
"p90": 1,
"p60": 1,
"p30": 1
}
}
},
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
},
"dependencies": [
{
"id": 1,
"sourceServiceId": 1,
"targetServiceId": 1,
"notes": "text",
"invalidAfter": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": {
"type": "API",
"source": "text"
},
"managedBy": {
"type": "API",
"source": "text"
}
}
]
}
],
"setupStatus": "CREATED",
"autoCreateServices": false,
"createdAt": "text",
"updatedAt": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"escalationPolicy": {
"id": 1,
"name": "text",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"teams": [
{
"id": 1,
"name": "text"
}
],
"repeating": false,
"frequency": 1,
"delayMin": 0,
"routingKey": "text",
"managedBy": {
"type": "API",
"source": "text"
}
},
"priority": "HIGH",
"alertKey": "text",
"assignedTo": {
"id": 1
},
"nextEscalation": "2026-01-01T00:00:00.000Z",
"escalationRules": [
{
"escalationTimeout": 1,
"user": {
"id": 1
},
"schedule": {
"id": 1
},
"team": {
"id": 1
},
"users": [
{
"id": 1,
"firstName": "text",
"lastName": "text"
}
],
"schedules": [
{
"id": 1,
"name": "text",
"type": "STATIC"
}
],
"teams": [
{
"id": 1,
"name": "text"
}
]
}
],
"nextEscalationUser": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"nextEscalationRuleIndex": 1,
"images": [
{
"src": "text",
"href": "text",
"alt": "text"
}
],
"links": [
{
"href": "text",
"text": "text"
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text"
},
"status": "PENDING",
"acceptedAt": "2026-01-01T00:00:00.000Z"
}
],
"severity": 1,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"customDetails": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"linkedIncidentId": 1,
"mergedIntoId": 1,
"mergeState": "NONE"
}
]The Bearer API key of your user more info.
For POST and PUT requests only the id field is required for sub entities, e.g. status page -> service, alert source -> support hour
all alerts were processed
IDs of the processed alerts, grouped by outcome. Only the groups relevant to the operation are returned.
processed successfully
not found or not accessible
already accepted
already resolved
already merged
failed to process
at least one alert could not be processed, see the result lists
PUT /api/alerts/accept_bulk HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 10
[
{
"id": 1
}
]{
"successful": [
1
],
"notFound": [
1
],
"alreadyAccepted": [
1
],
"alreadyResolved": [
1
],
"alreadyMerged": [
1
],
"internalError": [
1
]
}Either provide a user, policy (escalation policy) or schedule (on-call schedule) that the alerts should be assigned to.
The Bearer API key of your user more info.
numeric user id
numeric policy id
numeric schedule id
For POST and PUT requests only the id field is required for sub entities, e.g. status page -> service, alert source -> support hour
all alerts were processed
IDs of the processed alerts, grouped by outcome. Only the groups relevant to the operation are returned.
processed successfully
not found or not accessible
already accepted
already resolved
already merged
failed to process
at least one alert could not be processed, see the result lists
PUT /api/alerts/assign_bulk HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 10
[
{
"id": 1
}
]{
"successful": [
1
],
"notFound": [
1
],
"alreadyAccepted": [
1
],
"alreadyResolved": [
1
],
"alreadyMerged": [
1
],
"internalError": [
1
]
}The Bearer API key of your user more info.
optional resolution note
For POST and PUT requests only the id field is required for sub entities, e.g. status page -> service, alert source -> support hour
all alerts were processed
IDs of the processed alerts, grouped by outcome. Only the groups relevant to the operation are returned.
processed successfully
not found or not accessible
already accepted
already resolved
already merged
failed to process
at least one alert could not be processed, see the result lists
PUT /api/alerts/resolve_bulk HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 10
[
{
"id": 1
}
]{
"successful": [
1
],
"notFound": [
1
],
"alreadyAccepted": [
1
],
"alreadyResolved": [
1
],
"alreadyMerged": [
1
],
"internalError": [
1
]
}The Bearer API key of your user more info.
ID of the alert to merge into
all alerts were processed
IDs of the processed alerts, grouped by outcome. Only the groups relevant to the operation are returned.
processed successfully
not found or not accessible
already accepted
already resolved
already merged
failed to process
at least one alert could not be processed, see the result lists
POST /api/alerts/merge_bulk HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 39
{
"mergeIntoId": 1,
"children": [
{
"id": 1
}
]
}{
"successful": [
1
],
"notFound": [
1
],
"alreadyAccepted": [
1
],
"alreadyResolved": [
1
],
"alreadyMerged": [
1
],
"internalError": [
1
]
}The Bearer API key of your user more info.
entity ID
a list of notification objects
An error message in case the notification status is ERROR.
GET /api/alerts/{id}/notifications HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
a list of notification objects
[
{
"id": 1,
"method": "PUSH",
"target": "text",
"subject": "text",
"alertId": 1,
"user": {
"id": 1,
"firstname": "text",
"lastname": "text"
},
"notificationTime": "2026-01-01T00:00:00.000Z",
"status": "SCHEDULED",
"errorMessage": "text"
}
]The Bearer API key of your user more info.
entity ID
log entry language
an integer specifying the starting point (beginning with 0) when paging through a list of entities
0the maximum number of results when paging through a list of entities.
50list of log entries
GET /api/alerts/{id}/log-entries HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
list of log entries
[
{
"id": 1,
"timestamp": "2026-01-01T00:00:00.000Z",
"logEntryType": "ConnectorAutomaticResultErrorLogEntry",
"text": "text",
"alertId": 1,
"filterTypes": [
"NOTIFICATIONS"
],
"vars": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
]Last updated
Was this helpful?